org.appng.search.json

## Class Json

- java.lang.Object
- - org.appng.search.json.Json

-     public class Json
      extends Object

  Helper class to convert an object to it's JSON representation and vice versa.
  Author:
    Matthias Müller

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Json()`
    `Json(DateFormat dateFormat, boolean pretty)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `toJson(Object o)`
    `String` | `toJson(Object o, com.fasterxml.jackson.annotation.JsonInclude.Include include)`
    `<T> T` | `toObject(String json, Class<T> type, com.fasterxml.jackson.databind.Module... modules)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Json

          public Json(DateFormat dateFormat,
                      boolean pretty)

    - #### Json

          public Json()

  - ### Method Detail

    - #### toJson

          public String toJson(Object o,
                               com.fasterxml.jackson.annotation.JsonInclude.Include include)
                        throws com.fasterxml.jackson.core.JsonProcessingException,
                               IOException

      Throws:
        `com.fasterxml.jackson.core.JsonProcessingException`
        `IOException`

    - #### toJson

          public String toJson(Object o)
                        throws com.fasterxml.jackson.core.JsonProcessingException,
                               IOException

      Throws:
        `com.fasterxml.jackson.core.JsonProcessingException`
        `IOException`

    - #### toObject

          public <T> T toObject(String json,
                                Class<T> type,
                                com.fasterxml.jackson.databind.Module... modules)
                         throws IOException

      Throws:
        `IOException`

Copyright © 2011–2023 aiticon GmbH. All rights reserved.